/**
 * @licstart The following is the entire license notice for the
 * JavaScript code in this page
 *
 * Copyright 2022 Mozilla Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @licend The above is the entire license notice for the
 * JavaScript code in this page
 */
class IPDFLinkService {
  get pagesCount() {}
  get page() {}
  set page(value) {}
  get rotation() {}
  set rotation(value) {}
  get isInPresentationMode() {}
  get externalLinkEnabled() {}
  set externalLinkEnabled(value) {}
  async goToDestination(dest) {}
  goToPage(val) {}
  addLinkAttributes(link, url, newWindow = false) {}
  getDestinationHash(dest) {}
  getAnchorUrl(hash) {}
  setHash(hash) {}
  executeNamedAction(action) {}
  executeSetOCGState(action) {}
  cachePageRef(pageNum, pageRef) {}
  isPageVisible(pageNumber) {}
  isPageCached(pageNumber) {}
}
class IRenderableView {
  constructor() {
    this.resume = null;
  }
  get renderingId() {}
  get renderingState() {}
  draw() {}
}
class IPDFTextLayerFactory {
  createTextLayerBuilder({
    textLayerDiv,
    pageIndex,
    viewport,
    eventBus,
    highlighter,
    accessibilityManager
  }) {}
}
class IPDFAnnotationLayerFactory {
  createAnnotationLayerBuilder({
    pageDiv,
    pdfPage,
    annotationStorage = null,
    imageResourcesPath = "",
    renderForms = true,
    l10n = undefined,
    enableScripting = false,
    hasJSActionsPromise = null,
    mouseState = null,
    fieldObjectsPromise = null,
    annotationCanvasMap = null,
    accessibilityManager = null
  }) {}
}
class IPDFAnnotationEditorLayerFactory {
  createAnnotationEditorLayerBuilder({
    uiManager = null,
    pageDiv,
    pdfPage,
    l10n,
    annotationStorage = null,
    accessibilityManager
  }) {}
}
class IPDFXfaLayerFactory {
  createXfaLayerBuilder({
    pageDiv,
    pdfPage,
    annotationStorage = null
  }) {}
}
class IPDFStructTreeLayerFactory {
  createStructTreeLayerBuilder({
    pdfPage
  }) {}
}
class IDownloadManager {
  downloadUrl(url, filename) {}
  downloadData(data, filename, contentType) {}
  openOrDownloadData(element, data, filename) {}
  download(blob, url, filename) {}
}
class IL10n {
  async getLanguage() {}
  async getDirection() {}
  async get(key, args = null, fallback) {}
  async translate(element) {}
}
export { IDownloadManager, IL10n, IPDFAnnotationEditorLayerFactory, IPDFAnnotationLayerFactory, IPDFLinkService, IPDFStructTreeLayerFactory, IPDFTextLayerFactory, IPDFXfaLayerFactory, IRenderableView };